Subject: Re: orinoco driver causes *lots* of lockdep spew

From: Dave Jones <[email-masked]>
Date: Thu, 3 Aug 2006 14:59:58 -0400

On Thu, Aug 03, 2006 at 11:58:00AM -0700, Jean Tourrilhes wrote:
 > On Thu, Aug 03, 2006 at 03:11:53PM +0100, Christoph Hellwig wrote:
 > > On Thu, Aug 03, 2006 at 11:54:41PM +1000, Herbert Xu wrote:
 > > > Arjan van de Ven <[email-masked]> wrote:
 > > > > 
 > > > > this is another one of those nasty buggers;
 > > > 
 > > > Good catch.  It's really time that we fix this properly rather than
 > > > adding more kludges to the core code.
 > > > 
 > > > Dave, once this goes in you can revert the previous netlink workaround
 > > > that added the _bh suffix.
 > > > 
 > > > [WIRELESS]: Send wireless netlink events with a clean slate
 > > 
 > > Could we please just get rid of the wireless extensions over netlink code
 > > again?  It doesn't help to solve anything and just creates a bigger mess
 > > to untangle when switching to a fully fledged wireless stack.
 > 
 > 	That's not going to happen any time soon, NetworkManager
 > depends on Wireless Events, as well as many other apps. And there is
 > not many mechanisms you can use in the kernel to generate events from
 > driver to userspace.

It seemed to cope pretty well before we had this ?

		Dave
-- 
http://www.codemonkey.org.uk